clang-tools 10.0.0

Namespaces | Functions | Variables
PPCallbacksTracker.cpp File Reference

Implementations for preprocessor tracking. More...

`#include "PPCallbacksTracker.h"`
`#include "clang/Lex/MacroArgs.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for PPCallbacksTracker.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::pp_trace

## Functions
static std::string | clang::pp_trace::getSourceLocationString (Preprocessor &PP, SourceLocation Loc)

## Variables
static const char *const | clang::pp_trace::FileChangeReasonStrings []
static const char *const | clang::pp_trace::CharacteristicKindStrings []
static const char *const | clang::pp_trace::MacroDirectiveKindStrings []
static const char *const | clang::pp_trace::PragmaIntroducerKindStrings []
static const char *const | clang::pp_trace::PragmaMessageKindStrings []
static const char *const | clang::pp_trace::ConditionValueKindStrings []
static const char *const | clang::pp_trace::MappingStrings []

## Detailed Description

Implementations for preprocessor tracking.

See the header for details.

Definition in file PPCallbacksTracker.cpp.